summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xupdate_jdn.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/update_jdn.sh b/update_jdn.sh
index 5e491307..6b48fa38 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -464,9 +464,12 @@ if [ -f /etc/debian_version ] ; then
fi
$UP2DATE || sudo apt-get update
$UP2DATE || sudo apt-get install $DEBS $MASTERDEBS
- $UP2DATE || sudo apt-get install -t jessie-backports \
- pbuilder lintian || echo "this should only fail on the first install"
- # botch
+ case $HOSTNAME in
+ codethink*) ;;
+ *) $UP2DATE || sudo apt-get install -t jessie-backports \
+ pbuilder lintian || echo "this should only fail on the first install"
+ ;;
+ esac
# we need mock from bpo to build current fedora
if [ "$HOSTNAME" = "profitbricks-build3-amd64" ] || [ "$HOSTNAME" = "profitbricks-build4-amd64" ] || [ "$HOSTNAME" = "jenkins" ] ; then
$UP2DATE || sudo apt-get install -t jessie-backports mock \